Bug 163652 - CRASH in WebCore::MediaSource::seekToTime + 185
Summary: CRASH in WebCore::MediaSource::seekToTime + 185
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-10-18 21:28 PDT by Jer Noble
Modified: 2016-10-20 09:55 PDT (History)
5 users (show)

See Also:


Attachments
Patch (20.73 KB, patch)
2016-10-18 21:34 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (22.14 KB, patch)
2016-10-18 21:35 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-yosemite-wk2 (1.13 MB, application/zip)
2016-10-18 22:17 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews101 for mac-yosemite (882.09 KB, application/zip)
2016-10-18 22:33 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-yosemite (1.78 MB, application/zip)
2016-10-18 22:52 PDT, Build Bot
no flags Details
Patch (18.96 KB, patch)
2016-10-18 23:45 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-yosemite (1.07 MB, application/zip)
2016-10-19 00:43 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (1.08 MB, application/zip)
2016-10-19 00:46 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-yosemite (1.74 MB, application/zip)
2016-10-19 00:59 PDT, Build Bot
no flags Details
Patch (22.04 KB, patch)
2016-10-19 08:38 PDT, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2016-10-18 21:28:38 PDT
CRASH in WebCore::MediaSource::seekToTime + 185
Comment 1 Jer Noble 2016-10-18 21:33:54 PDT
rdar://problem/18731876
Comment 2 Jer Noble 2016-10-18 21:34:25 PDT
Created attachment 292036 [details]
Patch
Comment 3 Jer Noble 2016-10-18 21:35:59 PDT
Created attachment 292037 [details]
Patch
Comment 4 Build Bot 2016-10-18 22:17:53 PDT
Comment on attachment 292037 [details]
Patch

Attachment 292037 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2321568

New failing tests:
media/media-source/media-source-seek-detach-crash.html
Comment 5 Build Bot 2016-10-18 22:17:56 PDT
Created attachment 292043 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 6 Build Bot 2016-10-18 22:33:04 PDT
Comment on attachment 292037 [details]
Patch

Attachment 292037 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2321759

New failing tests:
media/media-source/media-source-seek-detach-crash.html
Comment 7 Build Bot 2016-10-18 22:33:08 PDT
Created attachment 292046 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 8 Build Bot 2016-10-18 22:52:15 PDT
Comment on attachment 292037 [details]
Patch

Attachment 292037 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2321832

New failing tests:
media/media-source/media-source-seek-detach-crash.html
Comment 9 Build Bot 2016-10-18 22:52:18 PDT
Created attachment 292047 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 10 Jer Noble 2016-10-18 23:45:36 PDT
Created attachment 292050 [details]
Patch
Comment 11 Build Bot 2016-10-19 00:43:23 PDT
Comment on attachment 292050 [details]
Patch

Attachment 292050 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/2322662

New failing tests:
media/media-source/media-source-seek-detach-crash.html
Comment 12 Build Bot 2016-10-19 00:43:26 PDT
Created attachment 292054 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 13 Build Bot 2016-10-19 00:46:12 PDT
Comment on attachment 292050 [details]
Patch

Attachment 292050 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2322664

New failing tests:
media/media-source/media-source-seek-detach-crash.html
Comment 14 Build Bot 2016-10-19 00:46:15 PDT
Created attachment 292055 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 15 Build Bot 2016-10-19 00:59:03 PDT
Comment on attachment 292050 [details]
Patch

Attachment 292050 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2322701

New failing tests:
media/media-source/media-source-seek-detach-crash.html
Comment 16 Build Bot 2016-10-19 00:59:06 PDT
Created attachment 292056 [details]
Archive of layout-test-results from ews115 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 17 Jer Noble 2016-10-19 08:37:45 PDT
(In reply to comment #15)
> Comment on attachment 292050 [details]
> Patch
> 
> Attachment 292050 [details] did not pass mac-debug-ews (mac):
> Output: http://webkit-queues.webkit.org/results/2322701
> 
> New failing tests:
> media/media-source/media-source-seek-detach-crash.html

LOL. My patch only had the new test, not the fix.
Comment 18 Jer Noble 2016-10-19 08:38:09 PDT
Created attachment 292066 [details]
Patch
Comment 19 Eric Carlson 2016-10-20 07:13:50 PDT
Comment on attachment 292066 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=292066&action=review

> LayoutTests/media/media-source/content/test-48khz-manifest.json:8
> +		{ "offset": 624,   "size": 1308, "timestamp": 0, "duration": 1.0027},
> +		{ "offset": 1932,  "size": 1491, "timestamp": 1.0027, "duration": 1.0027},

Your indentation is so pretty until it gets to the duration column...
Comment 20 WebKit Commit Bot 2016-10-20 09:55:45 PDT
Comment on attachment 292066 [details]
Patch

Clearing flags on attachment: 292066

Committed r207621: <http://trac.webkit.org/changeset/207621>
Comment 21 WebKit Commit Bot 2016-10-20 09:55:50 PDT
All reviewed patches have been landed.  Closing bug.